Upgrading from 3.0 to 3.2 on PrimaluceLab Eagle 2

Discussion of features and issues relating to Altair Astro Cameras
Post Reply
ColinR
Posts: 27
Joined: Fri Oct 12, 2018 1:20 pm

Upgrading from 3.0 to 3.2 on PrimaluceLab Eagle 2

Post by ColinR » Fri Oct 12, 2018 2:18 pm

Hi all! New to the forum and starting off with a problem!

I have been running version 3.0 as the pre-installed version on my PrimaluceLab Eagle 2 with an Altair Astro GPcam mono for lunar imaging but mainly guiding with no problems whatsoever. However I am now in the process of moving from a modified DSLR to an AltairAstro 183C Pro TEC camera and of course 3.0 won't recognise this camera. (At least that what I think was happening.)
I therefore tried to upgrade the Eagle 2 to the latest as of today 3.2 version of SharpCap. This upgrade failed several times, (log attached). Unlike my PC and my laptop where it installed no problem. From the log it show that SharpCap was trying to link the webpage, go.microsoft.com/fwlink/?LinId=780596 when it failed. "Failed to send request to URL."

My Eagle 2 is not connected to the web, (unlike my PC and laptop). I have it set up for remote use in the field or back garden using Microsoft Remote Desktop running Windows 10 Enterprise on an iPad mini.

At last the questions: 1. Does version 3.2 require access to the internet to install on a device?
2. If that is not the problem, what does the error log suggest it is?
Note that I have just successfully installed version 3.1 onto my Eagle 2 which does recognise the 183 camera. Going forward I would prefer to be able install version 3.2 and beyond, especially without having to reconfigure my Eagle 2!

Thanks in advance for any help.

Colin
Attachments
SharpCap_3.2_20181012134234.log
Error Log
(7.3 KiB) Downloaded 104 times

User avatar
admin
Site Admin
Posts: 5210
Joined: Sat Feb 11, 2017 3:52 pm
Location: Vale of the White Horse, UK
Contact:

Re: Upgrading from 3.0 to 3.2 on PrimaluceLab Eagle 2

Post by admin » Fri Oct 12, 2018 5:32 pm

Hi,

the internet connection is only needed under some circumstances - if it needs to download and install other components. In your case it does because you need the .NET framework 4.62 installed and don't have it yet (SharpCap 3.0 was happy with version 4.5).

If you transfer the full installer for the .NET Framework 4.62 to your device and install it you should then be able to run the SharpCap installer.

hope this helps,

Robin

ColinR
Posts: 27
Joined: Fri Oct 12, 2018 1:20 pm

Re: Upgrading from 3.0 to 3.2 on PrimaluceLab Eagle 2

Post by ColinR » Sat Oct 13, 2018 8:48 am

Robin,

Thanks for your speedy and very helpful reply. I will proceed as indicated. (I will check with PrimaluceLab before installing .NET Framework 4.62, but I'd be surprised if that is a problem.)

Thanks again.

nexusjeep
Posts: 218
Joined: Thu Oct 18, 2018 3:01 pm
Location: Gloucestershire

Re: Upgrading from 3.0 to 3.2 on PrimaluceLab Eagle 2

Post by nexusjeep » Thu Oct 18, 2018 5:21 pm

Hi,
I have already upgraded the .NET to 4.62 on my Eagle 2 Pro and it did not cause any issues with any of the other items.

Cheers
Nick

ColinR
Posts: 27
Joined: Fri Oct 12, 2018 1:20 pm

Re: Upgrading from 3.0 to 3.2 on PrimaluceLab Eagle 2

Post by ColinR » Sun Oct 28, 2018 9:56 am

Hi Nick,
Belated thanks. I just realised I missed your post!

Colin

Post Reply